Debian DLA-2855-1:monit - LTS 安全性更新

high Nessus Plugin ID 156320

語系:

Synopsis

遠端 Debian 主機上缺少一個或多個安全性更新。

描述

遠端 Debian 9 主機上安裝的一個套件受 dla-2855 公告中提及的多個弱點影響。

- 在 5.25.3 版之前的 Tildeslash Monit 中,未經驗證的遠端攻擊者可以利用 http/cervlet.c 中的持續跨網站指令碼 (XSS) 弱點,透過操控 HTTP 基本驗證的授權標頭中未清理的使用者欄位,引入任意 JavaScript;此弱點是由於在執行 _viewlog 作業期間處理不當所致。(CVE-2019-11454)

- 在 5.25.3 版之前的 Tildeslash Monit 中,util.c 中的 Util_urlDecode 中存在緩衝區過度讀取問題,其允許經驗證的遠端攻擊者透過操控 GET 或 POST 參數擷取相鄰記憶體的內容。攻擊者亦可造成拒絕服務 (應用程式中斷)。(CVE-2019-11455)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級 monit 套件。

針對 Debian 9「Stretch」,已在版本 1 中修正這些問題

另請參閱

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=927775

https://security-tracker.debian.org/tracker/source-package/monit

https://www.debian.org/lts/security/2021/dla-2855

https://security-tracker.debian.org/tracker/CVE-2019-11454

https://security-tracker.debian.org/tracker/CVE-2019-11455

https://packages.debian.org/source/stretch/monit

Plugin 詳細資訊

嚴重性: High

ID: 156320

檔案名稱: debian_DLA-2855.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2021/12/27

已更新: 2021/12/27

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

CVSS 評分資料來源: CVE-2019-11455

VPR

風險因素: Medium

分數: 5.2

CVSS v2

風險因素: Medium

基本分數: 5.5

時間分數: 4.1

媒介: AV:N/AC:L/Au:S/C:P/I:N/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 8.1

時間分數: 7.1

媒介: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:debian:debian_linux:monit, cpe:/o:debian:debian_linux:9.0

必要的 KB 項目: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/12/27

弱點發布日期: 2019/4/22

參考資訊

CVE: CVE-2019-11454, CVE-2019-11455